import { mergeReconciler } from '@tarojs/shared';
import { useEffect, useState, useCallback, useContext, useReducer, useRef, useMemo, useLayoutEffect, createContext } from 'react';

const useTaroEffect = useEffect;
const useWatchEffect = useEffect;
const useTaroState = useState;
const useTaroCallback = useCallback;
const useTaroContext = useContext;
const useTaroReducer = useReducer;
const useTaroRef = useRef;
const useTaroMemo = useMemo;
const useTaroLayoutEffect = useLayoutEffect;
const taroCreateContext = createContext;

var taroHooks = /*#__PURE__*/Object.freeze({
  __proto__: null,
  useTaroEffect: useTaroEffect,
  useWatchEffect: useWatchEffect,
  useTaroState: useTaroState,
  useTaroCallback: useTaroCallback,
  useTaroContext: useTaroContext,
  useTaroReducer: useTaroReducer,
  useTaroRef: useTaroRef,
  useTaroMemo: useTaroMemo,
  useTaroLayoutEffect: useTaroLayoutEffect,
  taroCreateContext: taroCreateContext
});

const hostConfig = {
    initNativeApi(taro) {
        for (const hook in taroHooks) {
            // @ts-ignore
            taro[hook] = taroHooks[hook];
        }
    },
};
mergeReconciler(hostConfig);

export { taroCreateContext, useTaroCallback, useTaroContext, useTaroEffect, useTaroLayoutEffect, useTaroMemo, useTaroReducer, useTaroRef, useTaroState, useWatchEffect };
//# sourceMappingURL=runtime.js.map
